Update Resident: MRI
https://api.propexo.com/v1/residents/mri/:resident_id| Method |
|---|
| /mriapiservices/api.asp?$api=MRI_S-PMRM_ResidentInformation |
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The Propexo unique identifier for the resident
Request
This endpoint expects an object.
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
The last name associated with the resident
The Propexo unique identifier for the lead source
The first name associated with the resident
The middle initial of the resident
Possible values: non-empty and <= 1 characters
Primary phone number associated with the resident
The date of birth associated with the resident
Show 2 variants
Whether the resident is qualified
The gender of the resident
Show 2 enum values
MALEFEMALEIndicates if the resident is a guarantor for the primary resident.
The monthly income of the resident, in cents
Possible values: >= 0
The primary email address associated with the resident
To restrict the resident from making payments by check, set this to true. Defaults to false.
Response
Successful response
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
meta objectrequired
result objectrequired
The Propexo unique identifier for the resident
The last name associated with the resident
The Propexo unique identifier for the lead source
The first name associated with the resident
The middle initial of the resident
Possible values: non-empty and <= 1 characters
Primary phone number associated with the resident
The date of birth associated with the resident
Show 2 variants
Whether the resident is qualified
The gender of the resident
Show 2 enum values
MALEFEMALEIndicates if the resident is a guarantor for the primary resident.
The monthly income of the resident, in cents
Possible values: >= 0
The primary email address associated with the resident
To restrict the resident from making payments by check, set this to true. Defaults to false.
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X PUT https://api.propexo.com/v1/residents/mri/:resident_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"last_name": "string"
}'
{
"meta": {
"job_id": "string"
},
"result": {
"resident_id": "string",
"last_name": "string",
"lead_source_id": "string",
"first_name": "string",
"middle_initial": "string",
"phone_1": "string",
"date_of_birth": "2024-07-29T15:51:28.071Z",
"qualified": true,
"gender": "MALE",
"guarantor": true,
"monthly_income_in_cents": 0,
"email_1": "string",
"no_checks_in_cash_receipts": true
}
}